cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node/tree \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"nodes": [
{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}
],
"maxFolderDepth": 123
}base node
Get base nodetree
Get tree nodes for a base
GET
/
base
/
{baseId}
/
node
/
tree
cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node/tree \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"nodes": [
{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}
],
"maxFolderDepth": 123
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Last modified on March 5, 2026
Was this page helpful?
⌘I

